from .constants import DB_TYPES
from .dataproxy import SQLCipherDataProxy
from .dbconfig import SQLCipherDBConfig
from .model import SQLCipherModel, SQLCipherModuleMaker
from .patches import patch_sqlcipher

patch_sqlcipher()

__version__ = '1.0.0'

ModuleMaker = SQLCipherModuleMaker
Model = SQLCipherModel
DataProxy = SQLCipherDataProxy
DBConfig = SQLCipherDBConfig
DB_TYPES = DB_TYPES
